#include<gnome.h>
#include"popups.h"
#include<math.h>

/* These are the various callbacks used in Apprentice */

gint delete_event(GtkWidget *widget,GdkEvent *event, gpointer *data) {

  g_print("Caught a delete_event\n");
  return(FALSE);
  
}  

void destroy(GtkWidget *widget, gpointer *data) {
  g_print("Destroy event caught\n");
  gtk_main_quit();
}

void new_game_cb(GtkWidget *widget, gpointer *data) {
  g_print("Starting a new game\n");
}

void deck_editor_cb(GtkWidget *widget, gpointer *data) {
  g_print("Entering Deck Editor\n");
}

void sealed_deck_cb(GtkWidget *widget, gpointer *data) {
  g_print("Sealed Deck Genarator\n");
}

void save_message_cb(GtkWidget *widget, gpointer *data) {
  g_print("Save Message Window Buffer\n");
}

void set_life_cb(GtkWidget *widget, gpointer *data) {
  g_print("set life\n");
}

void next_phase_cb(GtkWidget *widget, gpointer *data) {
  g_print("next phase\n");
}

void increment_life_cb(GtkWidget *widget, gpointer *data) {
  g_print("increment life\n");
}

void decrement_life_cb(GtkWidget *widget, gpointer *data) {
  g_print("decrement life\n");
}

void increment_turn_cb(GtkWidget *widget, gpointer *data) {
  g_print("increment turn\n");
}

void decrement_turn_cb(GtkWidget *widget, gpointer *data) {
  g_print("decrement turn\n");
}

void declare_untap_cb(GtkWidget *widget, gpointer *data) {
  g_print("declare untap\n");
}

void declare_upkeep_cb(GtkWidget *widget, gpointer *data) {
  g_print("declare upkeep\n");
}

void declare_draw_cb(GtkWidget *widget, gpointer *data) {
  g_print("declare draw\n");
}

void declare_main_cb(GtkWidget *widget, gpointer *data) {
  g_print("declare main\n");
}

void declare_attack_cb(GtkWidget *widget, gpointer *data) {
  g_print("declare attack\n");
}

void declare_discard_cb(GtkWidget *widget, gpointer *data) {
  g_print("declare discard/upkeep\n");
}

void clear_buffer_cb(GtkWidget *widget, gpointer *data) {
  g_print("clear buffer\n");
}

void draw_card_cb(GtkWidget *widget, gpointer *data) {
  g_print("Drawing a card.\n");
}
void untap_my_perms_cb(GtkWidget *widget, gpointer *data) {
  g_print("Untapping perms.\n");
}
void create_card_cb(GtkWidget *widget, gpointer *data) {
  g_print("Creating a card.\n");
}
void bury_random_card_cb(GtkWidget *widget, gpointer *data) {
  g_print("Buring a random card.\n");
}
//Flip a coin and print results.
void flip_coin_cb(GtkWidget *widget, gpointer *data) {
  guint random;
  guint side;

  random=rand();
  side=random%2;
  if(side == 0) {g_print("You flip a coin and get heads.\n");}
  else {g_print("You flip a coin and get tails.\n");};
}

//roll a die with 3-500 sides.
void roll_die_cb(GtkWidget *widget, gpointer *data) {
 dice_window();
}

void shuffle_library_cb(GtkWidget *widget, gpointer *data) {
  g_print("Shuffling\n");
}

void move_lib_to_grave_cb(GtkWidget *widget, gpointer *data) {
  g_print("Moving library to grave.\n");
}

void move_lib_to_hand_cb(GtkWidget *widget, gpointer *data) {
  g_print("Moving library to hand.\n");
}

void remove_lib_cb(GtkWidget *widget, gpointer *data) {
  g_print("Removing Library.\n");
}

void move_hand_to_lib_cb(GtkWidget *widget, gpointer *data) {
  g_print("Moving hand to library.\n");
}

void move_hand_to_grave_cb(GtkWidget *widget, gpointer *data) {
  g_print("Moving hand to gave.\n");
}

void remove_hand_cb(GtkWidget *widget, gpointer *data) {
  g_print("Removing your right hand.  Hope your left handed.\n");
}

void move_rfg_to_lib_cb(GtkWidget *widget, gpointer *data) {
  g_print("moving rfg to lib.\n");
}

void move_rfg_to_grave_cb(GtkWidget *widget, gpointer *data) {
  g_print("moving rfg to grave.\n");
}

void move_rfg_to_hand_cb(GtkWidget *widget, gpointer *data) {
  g_print("Moving rfg to hand.\n");
}

void move_grave_to_lib_cb(GtkWidget *widget, gpointer *data) {
  g_print("Moving grave to lib.\n");
}

void move_grave_to_hand_cb(GtkWidget *widget, gpointer *data) {
  g_print("Moving graveyard to hand.\n");
}

void remove_grave_cb(GtkWidget *widget, gpointer *data) {
  g_print("Removing the graveyard.\n");
}

void edit_macros_cb(GtkWidget *widget,gpointer *data) {
  g_print("Editing Macros.\n");
}

void ping_remote_user_cb(GtkWidget *widget,gpointer *data) {
  g_print("Pinging.\n");
  usleep(1000);
  g_print("PING\n");
}

void disconnect_cb(GtkWidget *widget,gpointer *data) {
  g_print("bye bye\n");
}

void chat_hide_cb(GtkWidget *widget, gpointer *data) {
  g_print("Count to ten, I'm hiding.\n");
}

void chat_show_cb(GtkWidget *widget, gpointer *data) {
  g_print("Peek a boo.\n");
}

void chat_bring_to_origin_cb(GtkWidget *widget, gpointer *data) {
  g_print("ORIGIN.\n");
}

void chat_anchor_cb(GtkWidget *widget, gpointer *data) {
  g_print("anchored.\n");
}

void view_my_grave_cb(GtkWidget *widget, gpointer *data) {
  g_print("Gross, I'm not looking there.\n");
}

void view_op_grave_cb(GtkWidget *widget, gpointer *data) {
  g_print("Almost as bad, my opponent's graveyard.\n");
}

void view_my_rfg_cb(GtkWidget *widget, gpointer *data) {
  g_print("Viewing my removed cards.\n");
}
void view_op_rfg_cb(GtkWidget *widget, gpointer *data) {
  g_print("Viewing opponent's rfg.\n");
}

void view_my_lib_cb(GtkWidget *widget, gpointer *data) {
  g_print("Viewing lib.\n");
}

void view_top_lib_cb(GtkWidget *widget, gpointer *data) {
  g_print("Viewing top of lib.\n");
}

void view_game_status_cb(GtkWidget *widget, gpointer *data) {
  g_print("Viewing game status. I'm winning.\n");
}

void show_my_hand_cb(GtkWidget *widget, gpointer *data) {
  g_print("Showing my hand.\n");
}

void show_entire_lib_cb(GtkWidget *widget, gpointer *data) {
  g_print("Showing my library.\n");
}

void show_random_hand_cb(GtkWidget *widget, gpointer *data) {  g_print("Showing random card.\n");
}

void chat_bring_to_top_cb(GtkWidget *widget, gpointer *data) {
  g_print("Bringing chat to top.\n");
}

void show_top_lib_cb(GtkWidget *widget, gpointer *data) { 
  g_print("Showing top of library.\n");
}

void preferences_cb(GtkWidget *widget, gpointer *data) {
  g_print("Editing your preferences.\n");
}

void set_name_cb(GtkWidget *widget, gpointer *data) {
  g_print("And what is your name little boy?\n");
}

void t1_set_list_cb(GtkWidget *widget, gpointer *data) {
  g_print("type 1 set list\n");
}

void t2_set_list_cb(GtkWidget *widget, gpointer *data) {
 g_print("type 2 set list\n");
}

void t1_5_set_list_cb(GtkWidget *widget, gpointer *data) {
 g_print("type 1.5 set list\n");
}

void t1_x_set_list_cb(GtkWidget *widget, gpointer *data) {
 g_print("type 1.x set list\n");
}

void tc_set_list_cb(GtkWidget *widget, gpointer *data) {
 g_print("type c set list\n");
}

void ice_age_set_list_cb(GtkWidget *widget, gpointer *data) {
 g_print("ice age set list\n");
}

void mirage_set_list_cb(GtkWidget *widget, gpointer *data) {
 g_print("mirage set list\n");
}

void rath_set_list_cb(GtkWidget *widget, gpointer *data) {
 g_print("rath set list\n");
}

void urza_set_list_cb(GtkWidget *widget, gpointer *data) {
 g_print("urza's set list\n");
}

void t1_restricted_list_cb(GtkWidget *widget, gpointer *data) {
 g_print("t1 restricted\n");
}

void t1_banned_list_cb(GtkWidget *widget, gpointer *data) {
 g_print("t1 banned\n");
}

void t2_banned_list_cb(GtkWidget *widget, gpointer *data) {
 g_print("t2 banned\n");
}

void t1_5_banned_list_cb(GtkWidget *widget, gpointer *data) {
 g_print("t1.5 banned\n");
}

void t1_x_banned_list_cb(GtkWidget *widget, gpointer *data) {
 g_print("t1.X banned\n");
}

void tc_banned_list_cb(GtkWidget *widget, gpointer *data) {
 g_print("TC banned\n");
}

void ice_age_banned_list_cb(GtkWidget *widget, gpointer *data) {
 g_print("ice age banned\n");
}

void mirage_banned_list_cb(GtkWidget *widget, gpointer *data) {
 g_print("mirage banned\n");
}

void rath_banned_list_cb(GtkWidget *widget, gpointer *data) {
 g_print("rath banned\n");
}

void urza_banned_list_cb(GtkWidget *widget, gpointer *data) {
 g_print("urza banned\n");
}

void unplayable_cards_cb(GtkWidget *widget, gpointer *data) {
 g_print("unplayable cards\n");
}
 
